Add to Basket Compare Quick view Cisco Cisco IE-2000-8TC-G-B Managed network switch L2 Fast Ethernet (10/100) Black network switch MSRP: £2,163.00 Now: £1,802.50 Inc. VAT Was: MSRP: £1,802.50 Now: £1,502.08 Ex. VAT Was: MSRP: £2,163.00 Now: £1,802.50 Inc. VAT Was: MSRP: £1,802.50 Now: £1,502.08 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960X-48TS-LL Switch 48 Ports Managed Desktop MSRP: £4,605.29 Now: £3,837.74 Inc. VAT Was: MSRP: £3,837.74 Now: £3,198.12 Ex. VAT Was: MSRP: £4,605.29 Now: £3,837.74 Inc. VAT Was: MSRP: £3,837.74 Now: £3,198.12 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960X-24PSQ-L Switch 24 Ports Managed Desktop MSRP: £3,938.66 Now: £3,282.22 Inc. VAT Was: MSRP: £3,282.22 Now: £2,735.18 Ex. VAT Was: MSRP: £3,938.66 Now: £3,282.22 Inc. VAT Was: MSRP: £3,282.22 Now: £2,735.18 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Catalyst WS-C2960XR-24TS-I Switch 24 Ports Managed Desktop MSRP: £6,201.44 Now: £5,167.87 Inc. VAT Was: MSRP: £5,167.87 Now: £4,306.56 Ex. VAT Was: Catalyst 2960-XR Series 24 ports VLAN support Desktop, Rack-mountable 1U Cisco IOS IP Lite Layer 2 switching Gigabit Ethernet MSRP: £6,201.44 Now: £5,167.87 Inc. VAT Was: MSRP: £5,167.87 Now: £4,306.56 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view HPE Aruba Hewlett Packard Enterprise Aruba 2930F 24G PoE+ 4SFP Managed network switch L3 Gigabit Ethernet (10/1 MSRP: £1,306.68 Now: £1,088.89 Inc. VAT Was: MSRP: £1,088.90 Now: £907.41 Ex. VAT Was: MSRP: £1,306.68 Now: £1,088.89 Inc. VAT Was: MSRP: £1,088.90 Now: £907.41 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco WS-C3560CX-8PT-S Managed network switch Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE MSRP: £1,871.76 Now: £1,559.80 Inc. VAT Was: MSRP: £1,559.80 Now: £1,299.83 Ex. VAT Was: MSRP: £1,871.76 Now: £1,559.80 Inc. VAT Was: MSRP: £1,559.80 Now: £1,299.83 Ex. VAT Was: Add to Basket Compare Quick view
Compare Quick view Cisco Cisco Catalyst WS-C3560CX-12TC-S Managed L3 Gigabit Ethernet (10/100/1000) Grey,White network switch MSRP: £1,994.96 Now: £1,662.47 Inc. VAT Was: MSRP: £1,662.47 Now: £1,385.39 Ex. VAT Was: Management featuresARP inspectionYesSwitch typeManagedQuality of Service (QoS) supportYesSwitch layerL3Ports & interfacesSFP module slots quantity2Basic switching RJ-45 Ethernet ports quantity12Basic... MSRP: £1,994.96 Now: £1,662.47 Inc. VAT Was: MSRP: £1,662.47 Now: £1,385.39 Ex. VAT Was: Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Expandable Power Array Cabinet MSRP: £2,551.42 Now: £2,126.18 Inc. VAT Was: MSRP: £2,126.18 Now: £1,771.82 Ex. VAT Was: MSRP: £2,551.42 Now: £2,126.18 Inc. VAT Was: MSRP: £2,126.18 Now: £1,771.82 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Industrial Ethernet 2000 Series - Switch-10 Ports-Managed - DIN rail mountable MSRP: £1,863.30 Now: £1,552.75 Inc. VAT Was: MSRP: £1,552.75 Now: £1,293.96 Ex. VAT Was: MSRP: £1,863.30 Now: £1,552.75 Inc. VAT Was: MSRP: £1,552.75 Now: £1,293.96 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Tripp Lite Tripp Lite B093-004-2E4U-V RJ-45 console server MSRP: £1,881.84 Now: £1,568.20 Inc. VAT Was: MSRP: £1,568.20 Now: £1,306.83 Ex. VAT Was: Technical detailsColour of productBlackPackage width9.25" (234.9 mm)Package length7.52" (19.1 cm)Package height4.1" (104.1 mm)Rack mountingYesInternal modemYes< MSRP: £1,881.84 Now: £1,568.20 Inc. VAT Was: MSRP: £1,568.20 Now: £1,306.83 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view TRENDnet Trendnet TPE-5048WS Managed Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) 1U Black network MSRP: £983.98 Now: £819.98 Inc. VAT Was: MSRP: £819.98 Now: £683.32 Ex. VAT Was: Management featuresSwitch typeManagedWeb-based managementYesQuality of Service (QoS) supportYesMulticast supportYesMIB supportIP FORWARD TABLE MIB RFC 1354, RMON MIB RFC 1271, IPV4 MIB RFC 1213, IP MSRP: £983.98 Now: £819.98 Inc. VAT Was: MSRP: £819.98 Now: £683.32 Ex. VAT Was: Add to Basket Compare Quick view
Add to Basket Compare Quick view Cisco Cisco Redundant Power System 2300 - power supply - redundant MSRP: £910.18 Now: £758.48 Inc. VAT Was: MSRP: £758.48 Now: £632.07 Ex. VAT Was: Power supply redundant ( rack-mountable ) 1U this is the chassis for the power supplies MSRP: £910.18 Now: £758.48 Inc. VAT Was: MSRP: £758.48 Now: £632.07 Ex. VAT Was: Add to Basket Compare Quick view